summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrederic Bezies2017-07-22 11:25:29 +0200
committerFrederic Bezies2017-07-22 11:25:29 +0200
commitebcf9052b47d5a0a0cbeef31c985390b57db7256 (patch)
tree8d6885541bf835a5e14a8dcf0ecc687325ad9b25
parent9ae7f333fa1f49ff6e48eb90d3786b52607ddc3a (diff)
downloadaur-ebcf9052b47d5a0a0cbeef31c985390b57db7256.tar.gz
adopted PKGBUILD and upgraded it to version 2.0.2
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD59
2 files changed, 24 insertions, 48 deletions
diff --git a/.SRCINFO b/.SRCINFO
index f9a5e9f66a1..b87f564da4f 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,30 +1,29 @@
# Generated by mksrcinfo v8
-# Tue Feb 2 18:13:04 UTC 2016
+# Sat Jul 22 09:25:21 UTC 2017
pkgbase = doomsday
pkgdesc = An advanced Doom engine that supports DOOM, Heretic and Hexen.
- pkgver = 1.15.8
+ pkgver = 2.0.2
pkgrel = 1
url = http://dengine.net/
arch = i686
arch = x86_64
license = GPL2
makedepends = imagemagick
+ makedepends = cmake
depends = qt5-base
depends = qt5-x11extras
depends = sdl2_net
depends = sdl2_mixer
depends = fmodex
depends = wxpython
- depends = assimp
depends = fluidsynth
depends = soundfont-fluid
optdepends = doom1-wad: Doom shareware,
optdepends = heretic1-wad: Heretic shareware,
optdepends = hexen1-wad: Hexen shareware
- conflicts = doomsday2-unstable
- conflicts = i686-doomsday2-unstable
- source = http://netcologne.dl.sourceforge.net/project/deng/Doomsday Engine/1.15.8/doomsday-stable-1.15.8.tar.gz
- md5sums = 14487b988bd3b46580164cdcfa5989d5
+ conflicts = doomsday-bin
+ source = http://files.dengine.net/archive/doomsday-2.0.2.tar.gz
+ sha256sums = be12b41423d038b1b3df6bf88a7312f1baba7f7a773568b7e66a8a5518b46af5
pkgname = doomsday
diff --git a/PKGBUILD b/PKGBUILD
index ef619318957..64a44a81402 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,70 +1,47 @@
-# Maintainer: Elrond46 <elrond94 lol com>
+# Maintainer: Frederic Bezies <fredbezies at gmail dot com>
+# Contributor: Elrond46 <elrond94 lol com>
# Contributor: Zohar Malamant <dotfloat gmail com>
# Contributor: Arkham <arkham at archlinux dot us>
# Contributor: Christoph Zeiler <archNOSPAM_at_moonblade.dot.org>
# Contributor: Dmitry Shilov <stormblast@land.ru>
pkgname=doomsday
-pkgver=1.15.8
+pkgver=2.0.2
pkgrel=1
pkgdesc="An advanced Doom engine that supports DOOM, Heretic and Hexen."
url="http://dengine.net/"
arch=('i686' 'x86_64')
license=('GPL2')
-conflicts=('doomsday2-unstable' 'i686-doomsday2-unstable')
-depends=('qt5-base' 'qt5-x11extras' 'sdl2_net' 'sdl2_mixer' 'fmodex' 'wxpython' 'assimp' 'fluidsynth' 'soundfont-fluid' )
-makedepends=('imagemagick')
+conflicts=('doomsday-bin')
+depends=('qt5-base' 'qt5-x11extras' 'sdl2_net' 'sdl2_mixer' 'fmodex' 'wxpython' 'fluidsynth' 'soundfont-fluid' )
+makedepends=('imagemagick' 'cmake')
optdepends=('doom1-wad: Doom shareware',
'heretic1-wad: Heretic shareware',
'hexen1-wad: Hexen shareware')
-source=("http://netcologne.dl.sourceforge.net/project/deng/Doomsday Engine/${pkgver}/doomsday-stable-${pkgver}.tar.gz")
-md5sums=('14487b988bd3b46580164cdcfa5989d5')
+source=("http://files.dengine.net/archive/doomsday-$pkgver.tar.gz")
+sha256sums=('be12b41423d038b1b3df6bf88a7312f1baba7f7a773568b7e66a8a5518b46af5')
build() {
- # Fix annoying messages from libpng (thanks to jwm-art)
- find ${srcdir}/doomsday-stable-${pkgver}/snowberry/graphics/*.png -exec convert {} -strip {} \;
-
- # Force python2
- rm -rf ${srcdir}/python
- mkdir ${srcdir}/python
- ln -s /usr/bin/python2 ${srcdir}/python/python
- export PATH=${srcdir}/python:$PATH
-
+
# Enter build directory
- cd ${srcdir}/doomsday-stable-${pkgver}/doomsday
-
- # Fix lib64 stuff
- sed 's/lib64/lib/g' -i macros.pri doomsday_sdk.pri
-
- # Hack for compiling fmodex libs
- echo -e "FMOD_DIR = \"${srcdir}/doomsday-stable-${pkgver}/doomsday/plugins/fmod\"" > config_user.pri
- ln -sf /usr/include/fmodex/* ${srcdir}/doomsday-stable-${pkgver}/doomsday/plugins/fmod/include/
+ cd $srcdir/$pkgname-$pkgver/$pkgname
# Generate makefiles using qmake
- mkdir -p "${srcdir}/doomsday-stable-${pkgver}/build"
- cd "${srcdir}/doomsday-stable-${pkgver}/build"
- qmake-qt5 -r ../doomsday/doomsday.pro CONFIG+="deng_fmod deng_fluidsynth release"
-
- # Build
- make $MAKEFLAGS
+ mkdir -p build
+ cd build
+ cmake .. -DCMAKE_INSTALL_PREFIX=/usr
+ make
}
package() {
- cd ${srcdir}/doomsday-stable-${pkgver}/build
- make INSTALL_ROOT=${pkgdir} install
-
- cat << 'EOF' > "${pkgdir}/usr/bin/launch-doomsday"
-#!/usr/bin/env python2
-import os, sys
-os.chdir('/usr/share/doomsday/snowberry')
-sys.path += '.'
-
-import snowberry
-EOF
+ cd $srcdir/$pkgname-$pkgver/$pkgname/build
+ make install DESTDIR="$pkgdir"
# Look for WADs in /usr/share/games/doom by default
mkdir -p "${pkgdir}/etc/doomsday"
echo "iwaddir: /usr/share/games/doom" > "${pkgdir}/etc/doomsday/paths"
# For Music
echo "To obtain music work properly, in options set show taskbar go to sound options of the engine and go to path /usr/share/soundfonts and choose your soundfont"
+ echo "And do not forget to start fluidsynth service!"
}
+